<?php

require_once "config.php";

// Mengatur header untuk menentukan tipe konten sebagai JSON
header('Content-Type: application/json');

// Mendapatkan metode HTTP yang digunakan
$method = $_SERVER['REQUEST_METHOD'];

// Menjalankan aksi berdasarkan metode HTTP
switch ($method) {
    case 'GET':
        $cemail = $_GET["cemail"];
        
        $query = $conn->query("SELECT * FROM tbnotif WHERE ckodecust = '$cemail' ORDER BY dtglkirim DESC");
        $result = $query->fetch_all(MYSQLI_ASSOC); // Mengambil semua baris hasil kueri sebagai array asosiatif
        echo json_encode($result);
        break;
        
    case 'POST':
        // Mendapatkan data dari request body
        $data = json_decode(file_get_contents('php://input'), true);
        $cemail = $data["cemail"]; // Email untuk menentukan notifikasi
        $dtglkirim = $data["dtglkirim"]; // Tanggal kirim notifikasi

        // Mengubah lstatus dari 0 menjadi 1 dan mengatur dtglread menjadi tanggal saat ini
        $query = $conn->prepare("UPDATE tbnotif SET lstatus = '1', dtglread = NOW() WHERE cemail = ? AND dtglkirim = ? AND lstatus = '0'");
        $query->bind_param("ss", $cemail, $dtglkirim);
        $query->execute();

        if ($query->affected_rows > 0) {
            echo json_encode(["message" => "Notification updated successfully"]);
        } else {
            echo json_encode(["message" => "Notification not updated"]);
        }
        break;
}

// Menutup koneksi database
mysqli_close($conn);
?>
